Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225773

Summary: Merge Review: f-spot
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: caillon, chkr, ma, panemade
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-15 07:21:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
spec cleanup none

Description Nobody's working on this, feel free to take it 2007-01-31 18:40:26 UTC
Fedora Merge Review: f-spot

http://cvs.fedora.redhat.com/viewcvs/devel/f-spot/
Initial Owner: caillon@redhat.com

Comment 1 Parag AN(पराग) 2007-03-01 12:28:36 UTC
rpmlint reported invalid desktop files
Use desktop-file-validate on f-spot.desktop and f-spot-view.desktop
More on how to install .desktop files in SPEC is at
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755

Kindly update SPEC.

Comment 2 Parag AN(पराग) 2007-03-30 13:24:48 UTC
any updates?

Comment 3 Martin Jürgens 2008-05-29 08:50:26 UTC
Isn't F-Spot available in Fedora now?

Comment 4 Rex Dieter 2008-05-29 12:53:11 UTC
Martin, yes this is a merge review (for previous Core packages that never had 
a formal review).

Comment 5 Christian Krause 2010-10-13 20:08:58 UTC
(In reply to comment #1)
> rpmlint reported invalid desktop files
> Use desktop-file-validate on f-spot.desktop and f-spot-view.desktop
> More on how to install .desktop files in SPEC is at
> http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755

These problems are solved long time ago. ;-)

Comment 6 Parag AN(पराग) 2010-10-25 05:13:10 UTC
Created attachment 455392 [details]
spec cleanup


spec cleanup patch. Please don't commit this as it is.  I have used Packaging guidelines to cleanup this package.

Also saw some rpmlint errors

f-spot.x86_64: E: script-without-shebang /usr/lib64/f-spot/f-spot.exe.config
f-spot.x86_64: E: script-without-shebang /usr/lib64/f-spot/FSpot.Cms.dll.config
f-spot.x86_64: E: script-without-shebang /usr/lib64/f-spot/Hyena.dll.config
f-spot.x86_64: E: script-without-shebang /usr/lib64/f-spot/FSpot.Core.dll.config
f-spot.x86_64: E: script-without-shebang /usr/lib64/f-spot/FSpot.Gui.dll.config
f-spot.x86_64: E: script-without-shebang /usr/lib64/f-spot/FSpot.Utils.dll.config
f-spot.x86_64: E: script-without-shebang /usr/lib64/f-spot/Hyena.Gui.dll.config


Also, you need to add comment in spec for which part of code is in licenses given in license tag.


Can maintainer please fix all above issues?

Comment 7 Parag AN(पराग) 2010-12-08 10:10:53 UTC
chkr ping

Comment 9 Parag AN(पराग) 2010-12-13 03:44:11 UTC
Looks good now. Is this update built for rawhide?

Comment 10 Christian Krause 2010-12-13 20:32:54 UTC
(In reply to comment #9)
> Looks good now. Is this update built for rawhide?

Yes, done:
http://koji.fedoraproject.org/koji/buildinfo?buildID=208945

Comment 11 Parag AN(पराग) 2010-12-15 07:21:31 UTC
Thanks. APPROVED.